[package]
name = "dsx_common"
version.workspace = true
edition.workspace = true
authors.workspace = true

[dependencies]
compiler = { path = "../../core/compiler" }
assembler = { path = "../../core/assembler" }
common = { path = "../../core/dsa_common" }

chrono = "0.4.44"
serde = { version = "1.0.228", features = ["derive"] }
toml = "1.0.3"
walkdir = "2.5.0"
